# Function GetTableRowActionCheckFunction

- GetTableRowActionCheckFunction<
  Data extends Record<string, unknown> = Record<string, unknown>,
  >(
  method: TableRowActionMethod<Data>,
  ): RowActionCheckFunction<Data>

  #### Type Parameters

  - Data extends Record<string, unknown> = Record<string, unknown>

  #### Parameters

  - method: TableRowActionMethod<Data>

  #### Returns RowActionCheckFunction<Data>

  - Defined in packages/angular/material/table-system/src/lib/table-row-actions/table-row-action.method.ts:47